.container {
  width: 95%;
  margin: auto;
}

.courses-section {
  display: flex;
  gap: 80px;
}

.catalog-section {
  flex: 1.1;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 60px 10px;
}

.free-section {
  flex: 0.7;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 60px 10px;
}

.section-title {
  margin-top: 0;
  margin-bottom: 5px;
  font-family: var(--evidence-font);
  font-size: 26px;
}

.section-title.internal {
  margin-top: 123px;
}

.section-subtitle {
  margin-top: 0;
  margin-bottom: 0;
  text-align: center;
  color: var(--text-secondary);
  font-size: 16px;
}

.courses-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  margin-top: 30px;
}

.contact-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  min-width: max-content;
  line-height: 1;
  margin-top: 20px;
  padding: 11px 19px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 17px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.contact-button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

.faq-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 95%;
  margin-top: 20px;
}

.faq-item {
  padding: 10px 20px;
  border: var(--border-standard);
  border-radius: 8px;
  overflow: hidden;
  background: transparent;
  cursor: pointer;
  transition: 0.3s;
}
.faq-item:hover {
  transform: translateY(-4px);
  background: var(--bg-content-card);
  box-shadow: var(--shadow-blue-on);
}
.faq-item.active {
  background: var(--bg-content-card);
  box-shadow: var(--shadow-blue-on);
}

.arrow {
  width: 8px;
  height: 8px;
  border-right: var(--border-button-outline);
  border-bottom: var(--border-button-outline);
  transform: rotate(45deg);
  transition: 0.3s;
}
.faq-item.active .arrow {
  transform: rotate(225deg);
}

.faq-question {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--text-muted);
  font-size: 17px;
  font-weight: 500;
}
.faq-question:hover {
  color: var(--text-primary);
}
.faq-item:hover .faq-question {
  color: var(--text-primary);
}
.faq-item.active .faq-question {
  color: var(--text-primary);
}

.faq-answer {
  display: none;
  margin-top: 10px;
}
.faq-item.active .faq-answer {
  display: block;
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .courses-section {
    gap: 60px;
  }

  .catalog-section {
    flex: 1.2;
    padding: 50px 10px;
  }

  .free-section {
    padding: 50px 10px;
  }

  .section-title {
    font-size: 24px;
  }

  .section-title.internal {
    margin-top: 83px;
  }

  .section-subtitle {
    font-size: 15px;
  }

  .courses-grid {
    gap: 20px;
  }

  .contact-button {
    padding: 10px 17px;
    font-size: 16px;
  }

  .faq-question {
    font-size: 16px;
  }

  .faq-answer {
    display: none;
    margin-top: 10px;
    font-size: 15px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .courses-section {
    gap: 60px;
  }

  .catalog-section {
    flex: 1.1;
    padding: 50px 10px;
  }

  .free-section {
    flex: 0.8;
    padding: 50px 10px;
  }

  .section-title {
    font-size: 22px;
  }

  .section-title.internal {
    margin-top: 60px;
  }

  .section-subtitle {
    font-size: 15px;
  }

  .courses-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 30px;
  }

  .contact-button {
    margin-bottom: 30px;
    padding: 9px 16px;
    font-size: 15px;
  }

  .faq-content {
    width: 98%;
  }

  .arrow {
    width: 7px;
    height: 7px;
  }

  .faq-question {
    font-size: 15px;
  }

  .faq-answer {
    font-size: 14px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .courses-section {
    gap: 60px;
  }

  .catalog-section {
    flex: 1.1;
    padding: 50px 10px;
  }

  .free-section {
    flex: 0.8;
    padding: 50px 10px;
  }

  .section-title {
    font-size: 22px;
  }

  .section-title.internal {
    margin-top: 60px;
  }

  .section-subtitle {
    font-size: 15px;
  }

  .courses-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 30px;
  }

  .contact-button {
    margin-bottom: 30px;
    padding: 9px 16px;
    font-size: 15px;
  }

  .faq-content {
    width: 98%;
  }

  .arrow {
    width: 7px;
    height: 7px;
  }

  .faq-question {
    font-size: 15px;
  }

  .faq-answer {
    font-size: 14px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .courses-section {
    flex-direction: column;
    gap: 0;
  }

  .catalog-section {
    flex: 1;
    padding: 30px 10px;
  }

  .free-section {
    flex: 1;
    padding: 30px 10px;
  }

  .section-title {
    font-size: 24px;
  }

  .section-title.internal {
    margin-top: 40px;
  }

  .section-subtitle {
    font-size: 15px;
  }

  .courses-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 30px;
  }

  .contact-button {
    margin-bottom: 20px;
    font-size: 16px;
  }

  .faq-question {
    font-size: 16px;
  }

  .faq-answer {
    font-size: 15px;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .courses-section {
    gap: 40px;
  }

  .catalog-section {
    flex: 1.2;
    padding: 40px 10px;
  }

  .free-section {
    flex: 0.8;
    padding: 40px 10px;
  }

  .section-title {
    text-align: center;
    font-size: 20px;
  }

  .section-title.internal {
    margin-top: 60px;
  }

  .section-subtitle {
    font-size: 14px;
  }

  .courses-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 20px;
  }

  .contact-button {
    margin-bottom: 30px;
    padding: 9px 16px;
    font-size: 14px;
  }

  .faq-content {
    width: 98%;
  }

  .arrow {
    width: 7px;
    height: 7px;
  }

  .faq-question {
    font-size: 14px;
  }

  .faq-answer {
    font-size: 13px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .courses-section {
    flex-direction: column;
    gap: 0;
  }

  .catalog-section {
    flex: 1;
    padding: 30px 10px;
  }

  .free-section {
    flex: 1;
    padding: 30px 10px;
  }

  .section-title {
    text-align: center;
    font-size: 20px;
  }

  .section-title.internal {
    margin-top: 30px;
  }

  .section-subtitle {
    font-size: 14px;
  }

  .courses-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    margin-top: 20px;
  }

  .contact-button {
    margin-bottom: 35px;
    font-size: 15px;
  }

  .faq-content {
    width: 98%;
  }

  .faq-item {
    padding: 10px 7px;
  }

  .arrow {
    width: 6px;
    height: 6px;
  }

  .faq-question {
    font-size: 14px;
  }

  .faq-answer {
    font-size: 13px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .courses-section {
    flex-direction: column;
    gap: 0;
  }

  .catalog-section {
    flex: 1;
    padding: 30px 10px;
  }

  .free-section {
    flex: 1;
    padding: 30px 10px;
  }

  .section-title {
    text-align: center;
    font-size: 22px;
  }

  .section-title.internal {
    margin-top: 15px;
  }

  .section-subtitle {
    font-size: 15px;
  }

  .courses-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    margin-top: 20px;
    padding: 0 40px;
  }

  .contact-button {
    margin-top: 25px;
    margin-bottom: 30px;
    font-size: 16px;
  }

  .faq-content {
    width: 98%;
  }

  .faq-item {
    padding: 10px 7px;
  }

  .arrow {
    width: 7px;
    height: 7px;
  }

  .faq-question {
    font-size: 15px;
  }

  .faq-answer {
    font-size: 14px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .courses-section {
    flex-direction: column;
    gap: 0;
  }

  .catalog-section {
    flex: 1;
    padding: 30px 10px;
  }

  .free-section {
    flex: 1;
    padding: 30px 10px;
  }

  .section-title {
    text-align: center;
    font-size: 20px;
  }

  .section-title.internal {
    margin-top: 60px;
  }

  .section-subtitle {
    font-size: 15px;
  }

  .courses-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 40px;
  }

  .contact-button {
    margin-bottom: 30px;
    padding: 11px 18px;
    font-size: 16px;
  }

  .faq-content {
    width: 98%;
  }

  .arrow {
    width: 8px;
    height: 8px;
  }

  .faq-question {
    font-size: 15px;
  }

  .faq-answer {
    font-size: 14px;
  }
}